<?php
//grayishスキンのコード流用させていただきました。。
if (!function_exists('skin_get_site_font_family')) :
  function skin_get_site_font_family()
  {
    // return get_theme_option(OP_SITE_FONT_FAMILY, 'hiragino');
    // Cocoon設定のフォント情報をget
    $skin_font_set = get_theme_option(OP_SITE_FONT_FAMILY, 'hiragino');
    // echo $skin_font_set;
    switch ($skin_font_set) {
      case 'hiragino':
        return 'Meiryo, "Hiragino Kaku Gothic ProN", "Hiragino Sans"';
        break;
      case 'meiryo':
        return 'Meiryo, "Hiragino Kaku Gothic ProN", "Hiragino Sans"';
        break;
      case 'yu_gothic':
        return '"Yu Gothic", Meiryo, "Hiragino Kaku Gothic ProN", "Hiragino Sans"';
        break;
      case 'ms_pgothic':
        return '"MS PGothic", "Hiragino Kaku Gothic ProN", "Hiragino Sans"';
        break;
      case 'noto_sans_jp':
        return '"Noto Sans JP"';
        break;
      case 'noto_serif_jp':
        return '"Noto Serif JP"';
        break;
      case 'mplus_1p':
        return '"M PLUS 1p"';
        break;
      case 'rounded_mplus_1c':
        return '"M PLUS Rounded 1c"';
        break;
      case 'kosugi':
        return '"Kosugi"';
        break;
      case 'kosugi_maru':
        return '"Kosugi Maru"';
        break;
      case 'sawarabi_gothic':
        return '"Sawarabi Gothic"';
        break;
      case 'sawarabi_mincho':
        return '"Sawarabi Mincho"';
        break;
      default:
        return 'Meiryo, "Hiragino Kaku Gothic ProN", "Hiragino Sans"';
    }
  }
endif;

if(!function_exists('skin_get_nagi_radius')):
  function skin_get_nagi_radius(){
    $nagi_b_radius = get_theme_mod('radius_radio');
    switch ($nagi_b_radius){
      case 'radius1':
        return '3px';
        break;
      case 'radius2':
        return '5px';
        break;
      case 'radius0':
      return '0px';
    }
  }
endif;
if(!function_exists('skin_get_nagi_radius_l')):
  function skin_get_nagi_radius_l(){
    $nagi_b_radius_l = get_theme_mod('radius_radio');
    switch ($nagi_b_radius_l){
      case 'radius1':
        return '8px';
        break;
      case 'radius2':
        return '30px';
        break;
      case 'radius0':
      return '0px';
    }
  }
endif;
if(!function_exists('skin_get_nagi_shadow')):
  function skin_get_nagi_shadow(){
    $nagi_b_shadow = get_theme_mod('shadow_radio');
    switch ($nagi_b_shadow){
      case 'shadow1':
        return '0 3px 12px -4px rgb(0 0 0 / 25%)';
        break;
      case 'shadow2':
        return '0 3px 10px -6px rgb(0 0 0 / 85%)';
        break;
      case 'shadow0':
      return 'none';
    }
  }
endif;


if (!function_exists('nagi_css_custom')) {
  function nagi_css_custom() {
    // 色
    $site_key_color = get_site_key_color()?:'#000000';
    $site_key_color2 = colorcode_to_rgb_css_code($site_key_color, 0.6); 
    $site_color = get_site_text_color()?:'#333333';
    $site_color2 = colorcode_to_rgb_css_code($site_color, 0.4); 
    $site_bg_color = get_site_background_color()?:'#fff';
    $top_tab_bg = get_theme_mod('top_tab_bg')?:'#474a56';
    $top_tab_color = get_theme_mod('top_tab_color')?:'#ffffff';
    $icon_tab1 = get_theme_mod('tab1_icon')?:'f15c';
    $icon_tab2 = get_theme_mod('tab2_icon')?:'f164';
    $icon_tab3 = get_theme_mod('tab3_icon')?:'f164';
    $icon_tab4 = get_theme_mod('tab4_icon')?:'f164';
    $tab_bg1 = get_theme_mod('tab_bg_1')?:'#00d4ff';
    $tab_bg2 = get_theme_mod('tab_bg_2')?:'#e9ff00';
    $gray_zone0 = get_theme_mod('gray_zone')?:'#efefef';
    $gray_zone = colorcode_to_rgb_css_code($gray_zone0, 0.35); 
    $nagi_g_font = get_theme_mod('font_radio')?:'"Quicksand"';
    $nagi_c_font = skin_get_site_font_family();
    $nagi_radius = skin_get_nagi_radius()?:'3px';
    $nagi_radius_l = skin_get_nagi_radius_l()?:'8px';
    $nagi_shadow = skin_get_nagi_shadow()?:'0 3px 12px -4px rgb(0 0 0 / 25%)';
    $cta_red = get_theme_mod('cta_red')?:'#ff3131';
    $cta_blue = get_theme_mod('cta_blue')?:'#0076ff';
    $cta_green = get_theme_mod('cta_green')?:'#42d800';
    $cta_bg0 = get_theme_mod('cta_bg')?:'#000000';
    $cta_color = get_theme_mod('cta_color')?:'#ffffff';
    $cta_bg_opa = get_theme_mod('cta_bg_opa')?:'0.8';
    $cta_bg = colorcode_to_rgb_css_code($cta_bg0, $cta_bg_opa);
    $header_bg_color = get_header_container_background_color();
    $header_text_color = get_header_container_text_color();

    
   

    
$css = <<< EOM
:root{
  --nagi_key_color:$site_key_color;
  --nagi_key_color2:$site_key_color2;
  --nagi_text_color:$site_color;
  --nagi_text_color2:$site_color2;
  --nagi_bg_color:$site_bg_color;
  --nagi_g_font_fa:$nagi_g_font;
  --nagi_gray_zone:$gray_zone;
  --white_on_text:#626262;
  --nagi_r_radius:$nagi_radius;
  --nagi_r_radius_l:$nagi_radius_l;
  --nagi_r_shadow:$nagi_shadow;
  --nagi_cta_red:$cta_red;
  --nagi_cta_blue:$cta_blue;
  --nagi_cta_green:$cta_green;
  --nagi_cta_color:$cta_color;
  --nagi_cta_bg:$cta_bg;
  --nagi_c_font_fa:$nagi_c_font;
}
.mobile-header-menu-buttons{
  background-color: $header_bg_color;
  color : $header_text_color;
}
.pagination .current,.pagination-next-link, .comment-btn,.toc-list>li>a::before,.comment-form .submit,.list-more-button{
  background-color: var(--nagi_key_color);
}

.read-time::before, .read-time::after{
  background-color:$site_color2;
}
#index-tab-1:checked~.index-tab-buttons .index-tab-button[for=index-tab-1]::after, #index-tab-2:checked~.index-tab-buttons .index-tab-button[for=index-tab-2]::after, #index-tab-3:checked~.index-tab-buttons .index-tab-button[for=index-tab-3]::after, #index-tab-4:checked~.index-tab-buttons .index-tab-button[for=index-tab-4]::after{
  background-image: linear-gradient(90deg, $tab_bg1 65%, $tab_bg2);
}
#index-tab-1:checked ~ .index-tab-buttons .index-tab-button[for=index-tab-1], #index-tab-2:checked ~ .index-tab-buttons .index-tab-button[for=index-tab-2], #index-tab-3:checked ~ .index-tab-buttons .index-tab-button[for=index-tab-3], #index-tab-4:checked ~ .index-tab-buttons .index-tab-button[for=index-tab-4]{
  background-image: linear-gradient(90deg, $tab_bg1, $tab_bg2);
  color:$top_tab_color;
  border:none;
}
.index-tab-buttons .index-tab-button{
  background-color:$top_tab_bg;
  color:$top_tab_color;
  border:none;
}

.class_nagi div#toc,.nwa .toc,.author-box,.sns-share.ss-bottom, .sns-follow,.article h2{
  background-color:$gray_zone;
}
.class_nagi .site-name-text, .class_nagi .item-label, .class_nagi .sub-caption, .class_nagi .date-tags, .class_nagi .sns-share-buttons a .share-count, .class_nagi .cat-link, .class_nagi .sns-follow-message, .class_nagi .sns-share-message, .class_nagi div#breadcrumb, .class_nagi .sns-follow-buttons a .follow-count, .class_nagi .related-entry-heading, .class_nagi .comment-title, .class_nagi .post-date, .class_nagi .post-update, .class_nagi .post-author, .class_nagi .author-widget-name, .class_nagi .entry-categories-tags > div, .class_nagi .copyright,
.class_nagi .toc-checkbox:checked+.toc-title::after, .class_nagi .toc-title::after, .class_nagi .author-box .author-name, .class_nagi .page-numbers, .class_nagi .blogcard-footer,
.sidebar h2, .sidebar h3{
  font-family:var(--nagi_g_font_fa),$nagi_c_font;
  font-weight: 400;
    letter-spacing: .6px;
}


   
EOM;
if (get_theme_mod('sns_fix',true)){
  $css .= <<< EOM
  @media screen and (min-width: 1401px){
  .sns-share.ss-col-6.ss-top {
    position: fixed;
    left: 2em;
    flex-direction: column;
    top: 50%;
    transform: translatey(-50%);
  }.sns-share.ss-col-6.ss-top .sns-share-buttons.sns-buttons{
    flex-direction: column;
  }
  .ss-top.sns-share.ss-high-and-low-lc a{
    width:40px;
    height:40px;
  }
  .ss-top.sns-share.ss-high-and-low-lc a .social-icon{
    font-size:14px;
  }
  .ss-top.sns-share.ss-high-and-low-lc a .share-count{
    font-size:9px;
  }}
  EOM;
}

if (get_theme_mod('sidebar_use_gray',true)){
  $css .= <<< EOM
  @media screen and (min-width: 1024px){
    .widget-sidebar{
      padding:10px;
      background-color:$gray_zone;
    }
    .widget_author_box,.nwa .toc{
      background-color:transparent;
    }
  }
  EOM;
}
if (get_theme_mod('tab4_icon',true)){
    $css .= <<< EOM
    [for="index-tab-4"]::before{
      content:'\\$icon_tab4';
    }
    EOM;
}
if (get_theme_mod('tab3_icon',true)){
  $css .= <<< EOM
  [for="index-tab-3"]::before{
    content:'\\$icon_tab3';
  }
  EOM;
}
if (get_theme_mod('tab2_icon',true)){
  $css .= <<< EOM
  [for="index-tab-2"]::before{
    content:'\\$icon_tab2';
  }
  EOM;
}
if (get_theme_mod('tab1_icon',true)){
  $css .= <<< EOM
  [for="index-tab-1"]::before{
    content:'\\$icon_tab1';
  }
  EOM;
}
if (get_theme_mod('tab_icon_ori',true)){
  $css .= <<< EOM
  .index-tab-buttons .index-tab-button{
    background-color: var(--nagi_bg_color)!important;
    color:var(--cocoon-text-color)!important;
    border: none !important;
    font-weight: normal!important;
    font-size: 11px;
      width: 100px;
      padding: 0;
      max-width: 19%;
      position: relative;
  }
  #index-tab-1:checked~.index-tab-buttons .index-tab-button[for=index-tab-1]::after,
  #index-tab-2:checked~.index-tab-buttons .index-tab-button[for=index-tab-2]::after,
  #index-tab-3:checked~.index-tab-buttons .index-tab-button[for=index-tab-3]::after,
  #index-tab-4:checked~.index-tab-buttons .index-tab-button[for=index-tab-4]::after{
      width: 57px;
      height: 57px;
      content: '';
      position: absolute;
      display: block;
      top: -3px;
      left: 50%;
      transform: translate(-50%, 0px);
      border-radius: 50%;
      animation:2s linear infinite guruguru;
     }
     label.index-tab-button::before{
      display: block;
        font-size: 20px;
        margin: 0 auto 5px;
        width: 50px;
        height: 50px;
        background: $top_tab_bg;
        border-radius: 50px;
        line-height: 50px;
        position: relative;
        z-index: 1;
        color: $top_tab_color;
    }
    label.index-tab-button{
      background-image:none!important;
    }
  EOM;
}




  echo '<style>' . $css . '</style>';
  }
}

add_action('wp_head', 'nagi_css_custom', 101);





  if (get_theme_mod('tab_icon_ori',true)) {
    add_filter( 'body_class', 'nagi_class_names' );
    function nagi_class_names( $classes ) {
     $classes[] = 'is_tab_icon';
     return $classes;
    } }

 function nagi_custom_editor_styles() {
  // 既存のエディタースタイルシートをエンキュー
  wp_enqueue_style('my-editor-style', get_template_directory_uri() . '/skins/nagi/editor-style.css');
  $site_key_color = get_site_key_color()?:'#000000';
    $site_key_color2 = colorcode_to_rgb_css_code($site_key_color, 0.6); 
    $site_color = get_site_text_color()?:'#333';
    $site_color2 = colorcode_to_rgb_css_code($site_color, 0.4)?:'#33333366'; 
    $site_bg_color = get_site_background_color()?:'#fff';
    $gray_zone0 = get_theme_mod('gray_zone')?:'#efefef';
    $gray_zone = colorcode_to_rgb_css_code($gray_zone0, 0.35); 
    $nagi_g_font = get_theme_mod('font_radio')?:'"Quicksand"';
    $nagi_c_font = skin_get_site_font_family();
    $nagi_radius = skin_get_nagi_radius()?:'3px';
    $nagi_radius_l = skin_get_nagi_radius_l()?:'8px';
  // カスタムスタイルを定義
  $custom_css = <<< EOM
  :root{
    --nagi_key_color:$site_key_color;
    --nagi_key_color2:$site_key_color2;
    --nagi_text_color:$site_color;
    --nagi_text_color2:$site_color2;
    --nagi_bg_color:$site_bg_color;
    --nagi_g_font_fa:$nagi_g_font;
    --nagi_gray_zone:$gray_zone;
    --white_on_text:#626262;
    --nagi_r_radius:$nagi_radius;
    --nagi_r_radius_l:$nagi_radius_l;
    --nagi_c_font_fa:$nagi_c_font;
  }
  EOM;

  // カスタムスタイルをインラインで追加
  wp_add_inline_style('my-editor-style', $custom_css);
}
add_action('enqueue_block_editor_assets', 'nagi_custom_editor_styles');
